<?php
	include ('include/config.php') ;
	include ('include/admin_check.php') ;
	include ('include/functions.php') ;
	include ('include/kepgaleria_functions.php') ;
	
	$id = $_GET["id"] ;
	if (!is_numeric($id)) {
		$id = 0 ;
	}

	$query = "select id, nyelv_rovid, kep from nyelvek order by suly" ;
	$result = lekerdez($query) ;
	$nyelvek = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$nyelvek[$sor["id"]] = $sor ;
		}
		mysqli_free_result($result) ;
	}
	
	$query = "select kep_kategoriak.*, kep_kategoriak_szovegek.nev as kateg_nev, kep_kategoriak_szovegek.leiras_rovid, kep_kategoriak_szovegek.leiras, nyelv_rovid from kep_kategoriak left join kep_kategoriak_szovegek on (kep_kategoriak.id = kep_kategoriak_szovegek.kep_kategoria_id) where kep_kategoriak.id = '$id'" ;	
	$result = lekerdez($query) ;
	if (mysqli_num_rows($result) > 0) {						
		while ($sor = mysqli_fetch_assoc($result)) {
			$sor["leiras"] = str_replace("{kep_path}", $oldal_kep_path, $sor["leiras"]) ;
			$sor["leiras"] = str_replace("{file_path}", $oldal_file_path, $sor["leiras"]) ;
			$adatok[$sor["nyelv_rovid"]] = $sor ;			
		}
		mysqli_free_result($result) ;
	}

	$query = "select kep_kategoriak.*, kep_kategoriak_szovegek.nev as kateg_nev, count(kepek.id) as kepszam from kep_kategoriak left join kep_kategoriak_szovegek on (kep_kategoriak.id = kep_kategoriak_szovegek.kep_kategoria_id) left join kepek on (kepek.kep_kategoria = kep_kategoriak.id) where nyelv_rovid = '$alapertelmezett_nyelv_id' group by kep_kategoriak.id order by kateg_nev" ;
	$result = lekerdez($query) ;
	$kategoriak = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$kategoriak[] = $sor ;
		}
		mysqli_free_result($result) ;
	}
	for ($i=0;$i<count($kategoriak);$i++) {
		if ($kategoriak[$i]["szulo"] != '0') {
			$kategoriak[$i]["kateg_nev"] = csaladfa_kigyujtes($kategoriak[$i]) ;
		}
	}		
	
	$hibasak = $_SESSION["hibas_adatok"] ;
	unset($_SESSION["hibas_adatok"]) ;
	if ($hibasak == null) {
		$hibasak = array() ;	
	}		
?>

<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Képgaléria módosítása</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">
	<link rel="stylesheet" href="js/jquery-ui.css" type="text/css">

    <!-- JavaScript -->

    <script src="js/jquery-1.10.2.js"></script>

    <script src="js/bootstrap.js"></script>
    
	<script src="js/jquery-ui.js" type="text/javascript"></script>    
	<script src="js/jquery.ui.datepicker-hu.js" type="text/javascript"></script>    


    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>
    
	<script type="text/javascript" src="tinymce/js/tinymce/tinymce.min.js"></script>
    
    <script language="javascript" type="text/javascript">
    
    tinymce.init({
    
        selector: "textarea.mcEditor",
    
        theme: "modern",
    
        content_css : "/tiny_style.css",
    
        language : "hu_HU",
    
        plugins: [
    
            "advlist autolink lists link image charmap print preview hr anchor pagebreak",
    
            "searchreplace wordcount visualblocks visualchars code fullscreen",
    
            "insertdatetime media nonbreaking save table contextmenu directionality",
    
            "emoticons template paste textcolor filemanager importcss"
    
        ],
    
        toolbar1: "insertfile undo redo | styleselect formatselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
    
        toolbar2: "print preview media | forecolor backcolor emoticons",
    
        image_advtab: true,
    
        extended_valid_elements : "a[name|href|target|title|onclick|class],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style],iframe[src|width|height|name|align|class], embed[width|height|name|flashvars|src|bgcolor|align|play|loop|quality|allowscriptaccess|type|pluginspage], h1[class|width], h2[class|width], h3[class|width], h4[class|width], h5[class|width], h6[class|width]",
    
        templates: [
    
            {title: 'Test template 1', content: 'Test 1'},
    
            {title: 'Test template 2', content: 'Test 2'}
    
        ]
    
    
    
    });
    
    
    
    
    
    function toggleEditor(id) {
    
        if (!tinymce.get(id))
    
            tinymce.execCommand('mceAddEditor', false, id);
    
        else
    
            tinymce.execCommand('mceRemoveEditor', false, id);
    
    }    
	</script>    

	<script>
		function init() {	
			//Enabling datepickers
			$(".datepicker").datepicker({
				changeMonth: true, 
				changeYear: true, 
				dateFormat: "yy-mm-dd",
				dayNamesShort: $.datepicker.regional[ "hu" ].dayNamesShort,
				dayNames: $.datepicker.regional[ "hu" ].dayNames,
				monthNamesShort: $.datepicker.regional[ "hu" ].monthNamesShort,
				monthNames: $.datepicker.regional[ "hu" ].monthNames				
			});
			
			$(".datepicker").each(function() {
				$(this).datepicker( "option", "defaultDate", $(this).val()) ;
			}) ;
	//		$(".datepicker").datepicker( "option", "dateFormat", "yy-mm-dd" );
	//		$(".datepicker").datepicker( "option", "defaultDate", $(this).val());					
		} 		
	
		$(document).ready(function() {
			$("#nav-photo-galleries").addClass("open") ;
			init();		
		}) ;	
		
		function torol(id) {
				if (confirm("Biztos benne?"))
			  {
					 document.location.href="formok/image-gallery-category-delete.php?id="+id;
			  }
		}		
	</script>
	
  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Képgaléria módosítása</h1>

          </div>

<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>	
        </div><!-- /.row -->





        <div class="row">

          <div class="col-lg-6">

            <form role="form" name="edit_image_gallery_form" action="formok/image-gallery-category-edit.php" method="post" enctype="multipart/form-data">

				<input type="hidden" name="id" value="<?php echo $id;?>">

              <div class="form-group <?php if (in_array("nev", $hibasak)) echo ' has-error';?>">

                <label>Galéria név</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="nev_<?php echo $nyelv_id;?>" type="text" id="nev_<?php echo $nyelv["id"];?>" value="<?php echo $adatok[$nyelv_id]["kateg_nev"];?>"></p>
	<?php
		}
	?>

                <p class="help-block">A galéria nevét írja ide.</p>

              </div>


              <div class="form-group <?php if (in_array("anyag_kategoria", $hibasak)) echo ' has-error';?>">

                <label>Szülő galéria</label>

                <select name="szulo">
                    <option value="0">Nincs</option>
                    <?php
						for ($i=0;$i<count($kategoriak);$i++) {
							if ($kategoriak[$i]["kepszam"] == 0 && $kategoriak[$i]["id"] != $id) {
								echo '<option value="'.$kategoriak[$i]["id"].'"' ;
								if ($adatok[$alapertelmezett_nyelv_id]["szulo"] == $kategoriak[$i]["id"]) {
									echo " selected" ;
								}
								echo '>'.$kategoriak[$i]["kateg_nev"].'</option>' ;
							}
						}
                    ?>
                </select>

				<p class="help-block">Ha alkategóriaként egy másik galéria alatt szeretné megjeleníteni ezt a galériát, jelölje meg a szülő kategóriát.</p>

              </div>


              <div class="form-group <?php if (in_array("idopont", $hibasak)) echo ' has-error';?>">

                <label>Időpontja</label>

                <input type="text" name="idopont" class="form-control datepicker" value="<?php echo $adatok[$alapertelmezett_nyelv_id]["datum"];?>">

                <p class="help-block">Galéria létrehozásának időpontja</p>

              </div>
              
              <div class="form-group">

                <label>Kép a kategóriához</label>
				<img src="<?php echo $kat_kep_path.$adatok[$alapertelmezett_nyelv_id]["kep"];?>" border="0"><br />
                <input type="file" name="kep">

              </div>                 
              
              <div class="form-group">

                <label>Kategória rövid leírása</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <textarea class="form-control mcEditor" name="rovid_leiras_<?php echo $nyelv["id"];?>" id="rovid_leiras_<?php echo $nyelv["id"];?>" rows="5"><?php echo $adatok[$nyelv_id]["leiras_rovid"];?></textarea><br />
<div><a href="javascript:toggleEditor('rovid_leiras_<?php echo $nyelv["id"];?>');">TinyMCE bekapcsolás / kikapcsolás</a><br /></div> </p>
	<?php
		}
	?>

                <p class="help-block">Egy-két mondatban erről a galériáról</p>

              </div>     
              
              <div class="form-group">

                <label>Kategória leírása</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <textarea class="form-control mcEditor" name="leiras_<?php echo $nyelv["id"];?>" id="leiras_<?php echo $nyelv["id"];?>" rows="15"><?php echo $adatok[$nyelv_id]["leiras"];?></textarea><br />
<div><a href="javascript:toggleEditor('leiras_<?php echo $nyelv["id"];?>');">TinyMCE bekapcsolás / kikapcsolás</a><br /></div> </p>
	<?php
		}
	?>

                <p class="help-block">Bővebb leírás erről a galériáról</p>

              </div>                     
              

                <div class="form-group <?php if (in_array("suly", $hibasak)) echo ' has-error';?>">

                <label>Súly</label>

                <input type="text" name="suly" class="form-control" value="<?php echo $adatok[$alapertelmezett_nyelv_id]["suly"];?>">

                <p class="help-block">A súly határozza meg, milyen sorrendben jelennek meg a választható galériák a honlapon.</p>

              </div>
      

     

              <button type="submit" class="btn btn-success"><span class="glyphicon glyphicon-ok"> Mentés</span></button>
			&nbsp;&nbsp;
              <button type="button" class="btn btn-sm btn-danger" onClick="javascript: torol('<?php echo $id;?>');">
              	<span class="glyphicon glyphicon-remove-sign">Oldal törlése</span>
              </button>

                       

          </form>                      

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->

  </body>

</html>

